import { GError } from "godot";

export class GodotError extends Error {
  error: GError

  constructor(err: GError, message?: string) {
    super(message || `Godot error (${err})`)
    this.error = err
  }

}

