import { Variant } from 'godot'
import { export_scene } from './annotations'
import Item from './item'
import { export_ } from 'godot.annotations'

export default class Weapon extends Item {
	@export_scene()
	readonly scene!: string

	@export_(Variant.Type.TYPE_FLOAT)
	readonly damage: number = 1

	@export_(Variant.Type.TYPE_FLOAT)
	readonly range: number = 100

	@export_(Variant.Type.TYPE_FLOAT)
	readonly fire_rate!: number

	@export_(Variant.Type.TYPE_INT)
	readonly capacity!: number
}
