import { Resource, StringName, Variant } from 'godot'
import { export_, export_multiline } from 'godot.annotations'

export type ItemType = number

export default class Item extends Resource {
  @export_(Variant.Type.TYPE_STRING_NAME)
  readonly name: StringName = ''

  @export_multiline()
  readonly description: string = ''

  @export_(Variant.Type.TYPE_INT)
  readonly max_quantity: number = 99
}

